# valuenodereplace.cpp File Reference

Template File. More...

`#include "valuenodereplace.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ValueNodeReplace)
| ACTION_SET_NAME (Action::ValueNodeReplace,"ValueNodeReplace")
| ACTION_SET_LOCAL_NAME (Action::ValueNodeReplace, N_("Replace ValueNode"))
| ACTION_SET_TASK (Action::ValueNodeReplace,"replace")
| ACTION_SET_CATEGORY (Action::ValueNodeReplace, Action::CATEGORY_VALUENODE|Action::CATEGORY_DRAG)
| ACTION_SET_PRIORITY (Action::ValueNodeReplace, 0)
| ACTION_SET_VERSION (Action::ValueNodeReplace,"0.0")
| ACTION_SET_CVS_ID (Action::ValueNodeReplace,"$Id$")
void | swap_guid (const ValueNode::Handle &a, const ValueNode::Handle &b)

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ValueNodeReplace |  | ) |

ACTION_SET_NAME | ( | Action::ValueNodeReplace | ,
|  | "ValueNodeReplace" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueNodeReplace | ,
|  | N_("Replace ValueNode") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueNodeReplace | ,
|  | "replace" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueNodeReplace | ,
|  | Action::CATEGORY_VALUENODE|Action::CATEGORY_DRAG |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueNodeReplace | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueNodeReplace | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueNodeReplace | ,
|  | "$Id$" |  |
| ) |  |  |

void swap_guid | ( | const ValueNode::Handle & | a,
|  | const ValueNode::Handle & | b |
| ) |  |  |

Referenced by synfigapp::Action::ValueNodeReplace::perform(), and synfigapp::Action::ValueNodeReplace::undo().